import type { Scale } from 'uplot';
import type { ScaleProps } from './types';
import { ConfigBuilder } from './types';
export declare class UPlotScaleBuilder extends ConfigBuilder<ScaleProps, Record<string, Scale>> {
    private softMin;
    private softMax;
    private min;
    private max;
    constructor(props: ScaleProps);
    getConfig(): Record<string, Scale>;
    merge(props: Partial<ScaleProps>): void;
}
export type { ScaleProps };
